﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGImageInCells
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
          
            ObservableCollection<ImageClass> coll = new ObservableCollection<ImageClass>()
            {
                new ImageClass(){ImageName = "IG1",Picture = @"ig.png"},
                new ImageClass(){ImageName = "IG2", Picture = @"ig.png"}
            };
            DataContext = coll;
        }
        
    }

    public class ImageClass
    {
        public string ImageName { get; set; }
        public string Picture { get; set; }
    }
}
